catalog:
  description: opensource://morse-1.3.md
  title: MORSE Zip

templates:
- freestyle
- python-version
- base

variables:
  description: MORSE simulation environment.
  keywords:
  - python
  - morse
  - simulation
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  branches:
  - '1.3'

  extra-provides:
  - nature: program
    target: morse-zip
  extra-requires:
  - nature: setuptools
    target: rospkg
  - nature: setuptools
    target: catkin_pkg
  - nature: setuptools
    target: ros-catkin

  platform-requires:
    ubuntu:
      packages:
      - blender
      - cmake
      - build-essential
      - python3.4
      - python3.4-dev
      - python3-yaml
      - ros-${ros}-desktop

  python.version: '3'

  shell.command: |
    wget -q https://github.com/morse-simulator/morse/archive/1.3_STABLE.zip
    unzip ${version}_STABLE.zip && cd morse-${version}_STABLE
    mkdir build && cd build
    cmake -DCMAKE_INSTALL_PREFIX=${toolkit.dir} -DPYTHON_EXECUTABLE=${python.binary.path} -DPYMORSE_SUPPORT=ON -DBUILD_ROS_SUPPORT=ON -DBUILD_TYPE=Release ..
    make install
